> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Virtual Machine Summaries

> Lists virtual machines for a title.

Allowed entity token types: title

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| APINotEnabledForGameClientAccess | 1082 |
| MultiplayerServerBadRequest | 1382 |
| MultiplayerServerForbidden | 1384 |
| MultiplayerServerInternalServerError | 1387 |
| MultiplayerServerNotFound | 1385 |
| MultiplayerServerUnauthorized | 1383 |
| MultiplayerServerUnavailable | 1388 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/multiplayer/multiplayer.openapi.json post /MultiplayerServer/ListVirtualMachineSummaries
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Multiplayer API
  description: >-
    API methods for managing multiplayer servers. API methods for managing
    parties. The lobby service helps players group together to play multiplayer
    games. It is often used as a rendezvous point for players to share
    connection information. The TrueSkill service helps titles to estimate a
    player's skill based on their match results. The player skill values from
    this service are commonly used by a matchmaking service to provide players
    with balanced matches.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Lobby
    description: ''
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Matchmaking Admin
    description: Matchmaking Admin APIs
  - name: MultiplayerServer
    description: Multiplayer Server APIs
  - name: PubSub
    description: PlayFab PubSub APIs
  - name: TrueSkill
    description: TrueSkill APIs
  - name: TrueSkill Admin
    description: TrueSkill Admin APIs
paths:
  /MultiplayerServer/ListVirtualMachineSummaries:
    post:
      tags:
        - MultiplayerServer
      summary: List Virtual Machine Summaries
      description: |
        Lists virtual machines for a title.

        Allowed entity token types: title

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | APINotEnabledForGameClientAccess | 1082 |
        | MultiplayerServerBadRequest | 1382 |
        | MultiplayerServerForbidden | 1384 |
        | MultiplayerServerInternalServerError | 1387 |
        | MultiplayerServerNotFound | 1385 |
        | MultiplayerServerUnauthorized | 1383 |
        | MultiplayerServerUnavailable | 1388 |
        | ProductDisabledForTitle | 1609 |
      operationId: ListVirtualMachineSummaries
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListVirtualMachineSummariesRequest'
        description: Returns a list of virtual machines for a title.
      responses:
        '200':
          $ref: '#/components/responses/ListVirtualMachineSummariesResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    ListVirtualMachineSummariesRequest:
      description: Returns a list of virtual machines for a title.
      type: object
      properties:
        BuildId:
          description: The guid string build ID of the virtual machines to list.
          type: string
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        PageSize:
          description: The page size for the request.
          type: number
          x-actualtype: int32
        Region:
          allOf:
            - $ref: '#/components/schemas/AzureRegion'
          description: The region of the virtual machines to list.
        SkipToken:
          description: The skip token for the paged request.
          type: string
      required:
        - BuildId
        - Region
      example:
        BuildId: 21781fa8-096d-4d9c-b699-75433d579285
        Region: SouthCentralUs
        PageSize: 10
    AzureRegion:
      type: string
      enum:
        - AustraliaEast
        - AustraliaSoutheast
        - BrazilSouth
        - CentralUs
        - EastAsia
        - EastUs
        - EastUs2
        - JapanEast
        - JapanWest
        - NorthCentralUs
        - NorthEurope
        - SouthCentralUs
        - SoutheastAsia
        - WestEurope
        - WestUs
        - SouthAfricaNorth
        - WestCentralUs
        - KoreaCentral
        - FranceCentral
        - WestUs2
        - CentralIndia
        - UaeNorth
        - UkSouth
        - SwedenCentral
        - CanadaCentral
        - MexicoCentral
        - WestUs3
        - CanadaEast
        - UkWest
        - FranceSouth
        - SouthIndia
        - SpainCentral
        - GermanyWestCentral
        - ItalyNorth
        - IndonesiaCentral
        - ChileCentral
        - PolandCentral
        - NewZealandNorth
        - BrazilSoutheast
        - NorwayEast
        - SwitzerlandNorth
        - MalaysiaWest
        - IsraelCentral
        - QatarCentral
        - UaeCentral
        - GermanyNorth
        - AustriaEast
        - BelgiumCentral
        - DenmarkEast
        - SwitzerlandWest
        - SwedenSouth
        - NorwayWest
        - SouthAfricaWest
        - MalaysiaSouth
    ListVirtualMachineSummariesResponse:
      type: object
      properties:
        PageSize:
          description: The page size on the response.
          type: number
          x-actualtype: int32
        SkipToken:
          description: The skip token for the paged response.
          type: string
        VirtualMachines:
          description: The list of virtual machine summaries.
          type: array
          items:
            $ref: '#/components/schemas/VirtualMachineSummary'
          x-isclass: true
      required:
        - PageSize
      example:
        VirtualMachines:
          - VmId: VmID1
            State: Running
            HealthStatus: Healthy
          - VmId: VmID2
            State: Propping
            HealthStatus: Healthy
        PageSize: 10
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    VirtualMachineSummary:
      type: object
      properties:
        HealthStatus:
          description: The virtual machine health status.
          type: string
        State:
          description: The virtual machine state.
          type: string
        VmId:
          description: The virtual machine ID.
          type: string
  responses:
    ListVirtualMachineSummariesResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ListVirtualMachineSummariesResponse'
            example:
              code: 200
              status: OK
              data:
                VirtualMachines:
                  - VmId: VmID1
                    State: Running
                    HealthStatus: Healthy
                  - VmId: VmID2
                    State: Propping
                    HealthStatus: Healthy
                PageSize: 10
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [List Virtual Machine Summaries](/services/playfab/api-references/rest/multiplayer/multiplayer-server/list-virtual-machine-summaries.md)
- [Quickstart for multiplayer servers (MpsAllocator Sample)](/services/playfab/multiplayer/servers/mps-allocator-sample.md)
- [Managing Summary](/services/playfab/multiplayer/servers/quota-summary.md)
- [MicrosoftGame.config Element - VirtualMachine](/reference/system/microsoftgameconfig/elements/microsoftgameconfig-element-virtualmachine.md)
- [List Virtual Currency Types](/services/playfab/api-references/rest/admin/title-wide-data-management/list-virtual-currency-types.md)
